TSGGLOBAL Support sign in
Skip to page content
Browse TSG Global API docs

TSG Global API documentation Phone Numbers Manage Number for MMS Enable MMS on a Number

Enable MMS on a Number

On this page

POST /v2/dids/<number>/mms/enable: turn on MMS for an SMS-enabled number and set its inbound HTTP(S) or MM4 URI.

Overview

This method allows you to enable MMS on a phone number.

As a prerequisite to use MMS, the number you are enabling must already be SMS enabled, and your account must have MMS enabled. Contact support@tsgglobal.com if you have any concerns.

Authentication

Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer <api_key>"

Method

POST https://api-service.tsgglobal.world/v2/dids/<number>/mms/enable

Path Parameters

Name Type Description
number* String The phone number you want to MMS enable

Request Body

Name Type Description
uri* String A URI pointing to the destination at which you want to receive the messages. Can either be HTTP(S) or an MMS server.

200: OK

{
  "mms_enabled": true,
  "mms_uri": "http://mms.example.com",
  "number": "12342341234",
  "sms_enabled": true,
  "sms_uri": null # null means SMPP
}